SermonSpeaker Extension Welcome Image

Login Form

Joomla! 2.5 reached end of support

If you're still using Joomla 2.5, you sure noticed by now that this series reached end of support date by the end of last year. That means there will no longer be any security or bug fixes for that version. Obviously, you don't want to stay on an unsupported version of your CMS and should update to Joomla 3 as soon as possible.

 

Today I'm also officially dropping support for SermonSpeaker 4.x. The last release of that series is already more than a year old anyway :-)
The forum will remain active, but I added a note similar to the one for the SermonSpeaker 3.x forum.

Updating existing site

Updating to Joomla 3.x and SermonSpeaker 5.x is actually very simple. There is a good landing page done on the official docs page: https://docs.joomla.org/Why_Migrate.
Just make sure you have SermonSpeaker 4.5.8 (the latest version available) installed in your Joomla 2.5.
After you updated your site to Joomla 3.x, you should see an update for SermonSpeaker in the Extension Manager. It will do all the necessary changes for you.

Updating using a new installation

You can also create a fresh installation and copy over the data manually. For this you should follow this steps:

  1. Install SermonSpeaker 4.5.8 in your new Joomla 3. Don't use another version. It has to be the same version as you have installed in your old Joomla.
  2. Copy over all #__sermons... database tables, overwriting the existing ones.
  3. Create the categories and reassign them to the sermons, speakers and series.
  4. Check that everything works.
  5. Update to latest SermonSpeaker version using the Extension Manager.

If you have any problems updating SermonSpeaker, feel free to contact me using the contact form or the forums.